| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IOpaqueAddress Class Referenceabstract

Opaque address interface definition. More...

`#include <GaudiKernel/IOpaqueAddress.h>`

Inheritance diagram for IOpaqueAddress:
[legend]

## Public Member Functions
virtual | ~IOpaqueAddress ()=default
| destructor More...
virtual unsigned long | addRef ()=0
| Add reference to object. More...
virtual unsigned long | release ()=0
| release reference to object More...
virtual const CLID & | clID () const =0
| Retrieve class information from link. More...
virtual long | svcType () const =0
| Retrieve service type. More...
virtual IRegistry * | registry () const =0
| Update branch name. More...
virtual void | setRegistry (IRegistry *r)=0
| Update directory pointer. More...
virtual const std::string * | par () const =0
| Retrieve String parameters. More...
virtual const unsigned long * | ipar () const =0
| Access to generic link parameters. More...

## Detailed Description

Opaque address interface definition.

The opaque address defines the behaviour necesary to load and store transient objects.

Author
  M.Frank

Version
  1.0

Definition at line 23 of file IOpaqueAddress.h.

## Constructor & Destructor Documentation

virtual IOpaqueAddress::~IOpaqueAddress | ( |  | ) |
| virtual default

destructor

## Member Function Documentation

virtual unsigned long IOpaqueAddress::addRef | ( |  | ) |
| pure virtual

Add reference to object.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual const CLID& IOpaqueAddress::clID | ( |  | ) | const
| pure virtual

Retrieve class information from link.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual const unsigned long* IOpaqueAddress::ipar | ( |  | ) | const
| pure virtual

Access to generic link parameters.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual const std::string* IOpaqueAddress::par | ( |  | ) | const
| pure virtual

Retrieve String parameters.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual IRegistry* IOpaqueAddress::registry | ( |  | ) | const
| pure virtual

Update branch name.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual unsigned long IOpaqueAddress::release | ( |  | ) |
| pure virtual

release reference to object

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual void IOpaqueAddress::setRegistry | ( | IRegistry * | r | ) |
| pure virtual

Update directory pointer.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

virtual long IOpaqueAddress::svcType | ( |  | ) | const
| pure virtual

Retrieve service type.

Implemented in RootHistCnv::RootObjAddress, and GenericAddress.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IOpaqueAddress.h